facebook_app_events 0.2.2

  • Readme
  • Changelog
  • Example
  • Installing
  • new79

facebook_app_events #

pub package

Flutter plugin for Facebook App Events and analytics.

An app event is an action that takes place in your app or on your web page such as a person installing your app or completing a purchase. Facebook App Events allows you to track these events to view analytics, measure ad performance, and build audiences for ad targeting.

This plugin is using the implementing support for logging events and user data from your app and to Facebook analytics for your application.

Setting things up #

You must first create an app at Facebook for developers: https://developers.facebook.com/

Get your app id (referred to as [APP_ID] below)

Configure Android #

Read through the "Getting Started with App Events for Android" tutuorial and in particular, follow step 2 by adding the following into /app/res/values/strings.xml

<string name="facebook_app_id">[APP_ID]</string>
<string name="fb_login_protocol_scheme">fb[APP_ID]</string>

Configure iOS #

Read through the "Getting Started with App Events for iOS" tutuorial and in particular, follow step 4 by opening info.plist "As Source Code" and add the following

  • If your code does not have CFBundleURLTypes, add the following just before the final </dict> element:
<key>CFBundleURLTypes</key>
<array>
  <dict>
  <key>CFBundleURLSchemes</key>
  <array>
    <string>fb[APP_ID]</string>
  </array>
  </dict>
</array>
<key>FacebookAppID</key>
<string>[APP_ID]</string>
<key>FacebookDisplayName</key>
<string>[APP_NAME]</string>
  • If your code already contains CFBundleURLTypes, insert the following:
<array>
  <dict>
  <key>CFBundleURLSchemes</key>
  <array>
    <string>fb[APP_ID]</string>
  </array>
  </dict>
</array>
<key>FacebookAppID</key>
<string>[APP_ID]</string>
<key>FacebookDisplayName</key>
<string>[APP_NAME]</string>

0.2.1 #

  • Bug fixing.

0.2.0 #

  • Adding app events
    • logPushNotificationOpen
    • flush
    • getApplicationId

0.1.0 #

  • First initial release supporting some basic functionality
    • clearUserData
    • clearUserID
    • logEvent
    • setUserData
    • setUserID
    • updateUserProperties

example/README.md

facebook_app_events_example #

Demonstrates how to use the facebook_app_events plugin. Read the offical "getting started" documentation for full understanding.

Logging events #

import 'package:facebook_app_events/facebook_app_events.dart';
...
final facebookAppEvents = FacebookAppEvents();
facebookAppEvents.logEvent(
    name: 'button_clicked',
    parameters: {
        'button_id': 'the_clickme_button',
    },
);

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  facebook_app_events: ^0.2.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:facebook_app_events/facebook_app_events.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
58
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
79
Learn more about scoring.

We analyzed this package on Oct 21, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.5.1
  • pana: 0.12.21
  • Flutter: 1.9.1+hotfix.4

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test